Qwt User's Guide: QwtIntervalSeriesData Class Reference

Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtIntervalSeriesData Class Reference

Interface for iterating over an array of intervals. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtIntervalSeriesData:

## Public Member Functions
| QwtIntervalSeriesData (const QVector< QwtIntervalSample > &=QVector< QwtIntervalSample >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtIntervalSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtIntervalSample > &samples)
void | setSamples (const QVector< QwtIntervalSample > &samples)
const QVector< QwtIntervalSample > | samples () const
virtual size_t | size () const override
virtual QwtIntervalSample | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QwtIntervalSample >
QVector< QwtIntervalSample > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of intervals.

Definition at line 229 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## ◆ QwtIntervalSeriesData()

QwtIntervalSeriesData::QwtIntervalSeriesData | ( | const QVector< QwtIntervalSample > & | samples = `QVector< QwtIntervalSample >( )` | ) |

Constructor

Parameters

  samples | Samples

Definition at line 301 of file qwt_series_data.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtIntervalSeriesData::boundingRect | ( |  | ) | const
| overridevirtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 315 of file qwt_series_data.cpp.